<div>
    <h2 id="page-heading">
        <span>Json Strings</span>

        <button id="jh-create-entity" class="btn btn-primary float-right jh-create-entity create-json-string" [routerLink]="['/json-string/new']">
            <fa-icon icon="plus"></fa-icon>
            <span>
            Create a new Json String
            </span>
        </button>
    </h2>

    <jhi-alert-error></jhi-alert-error>

    <jhi-alert></jhi-alert>

    <div class="alert alert-warning" id="no-result" *ngIf="jsonStrings?.length === 0">
        <span>No jsonStrings found</span>
    </div>

    <div class="table-responsive" id="entities" *ngIf="jsonStrings && jsonStrings.length > 0">
        <table class="table table-striped" aria-describedby="page-heading">
            <thead>
                <tr>
                    <th scope="col" ><span>ID</span></th>
                    <th scope="col" ><span>Key</span></th>
                    <th scope="col" ><span>Value</span></th>
                    <th scope="col"></th>
                </tr>
            </thead>
            <tbody>
                <tr *ngFor="let jsonString of jsonStrings ;trackBy: trackId">
                    <td><a [routerLink]="['/json-string', jsonString.id, 'view']">{{ jsonString.id }}</a></td>
                    <td>{{ jsonString.key }}</td>
                    <td>{{ jsonString.value }}</td>
                    <td class="text-right">
                        <div class="btn-group">
                            <button type="submit"
                                    [routerLink]="['/json-string', jsonString.id, 'view']"
                                    class="btn btn-info btn-sm">
                                <fa-icon icon="eye"></fa-icon>
                                <span class="d-none d-md-inline">View</span>
                            </button>

                            <button type="submit"
                                    [routerLink]="['/json-string', jsonString.id, 'edit']"
                                    class="btn btn-primary btn-sm">
                                <fa-icon icon="pencil-alt"></fa-icon>
                                <span class="d-none d-md-inline">Edit</span>
                            </button>

                            <button type="submit" (click)="delete(jsonString)"
                                    class="btn btn-danger btn-sm">
                                <fa-icon icon="times"></fa-icon>
                                <span class="d-none d-md-inline">Delete</span>
                            </button>
                        </div>
                    </td>
                </tr>
            </tbody>
        </table>
    </div>
</div>
